Package org.jbpm.executor.impl.jpa

## Class ErrorInfoQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder>
  - - org.jbpm.executor.impl.jpa.ErrorInfoQueryBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder,​org.kie.api.executor.ErrorInfo>`, `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder>`, `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

      public class ErrorInfoQueryBuilderImpl
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder>
      implements org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorInfoQueryBuilderImpl​(ExecutorJPAAuditService jpaAuditService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `ascending​(org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy field)` |
    `org.kie.internal.query.ParametrizedQuery<org.kie.api.executor.ErrorInfo>` | `build()` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `descending​(org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy field)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `id​(long... id)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `message​(String... message)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `stackTraceRegex​(String... stackTraceRegex)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `time​(Date... time)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `timeRange​(Date timeMin, Date timeMax)` |

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### ErrorInfoQueryBuilderImpl

          public ErrorInfoQueryBuilderImpl​(ExecutorJPAAuditService jpaAuditService)

  - ### Method Detail

    - #### message

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder message​(String... message)

      Specified by:
        `message` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### id

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder id​(long... id)

      Specified by:
        `id` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### time

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder time​(Date... time)

      Specified by:
        `time` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### timeRange

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder timeRange​(Date timeMin,
                                                                                              Date timeMax)

      Specified by:
        `timeRange` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### stackTraceRegex

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder stackTraceRegex​(String... stackTraceRegex)

      Specified by:
        `stackTraceRegex` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### ascending

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder ascending​(org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### descending

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder descending​(org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder`

    - #### build

          public org.kie.internal.query.ParametrizedQuery<org.kie.api.executor.ErrorInfo> build()

      Specified by:
        `build` in interface `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder,​org.kie.api.executor.ErrorInfo>`